<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.system.basicData.mapper.CrmEnterpriseElectricityFeeInfoMapper">
    
    <resultMap type="CrmEnterpriseElectricityFeeInfo" id="CrmEnterpriseElectricityFeeInfoResult">
        <result property="id"    column="id"    />
        <result property="unifiedSocialCreditCode"    column="unified_social_credit_code"    />
        <result property="enterpriseName"    column="enterprise_name"    />
        <result property="gridAccountNumber"    column="grid_account_number"    />
        <result property="january"    column="january"    />
        <result property="february"    column="february"    />
        <result property="march"    column="march"    />
        <result property="april"    column="april"    />
        <result property="may"    column="may"    />
        <result property="june"    column="june"    />
        <result property="july"    column="july"    />
        <result property="august"    column="august"    />
        <result property="september"    column="september"    />
        <result property="october"    column="october"    />
        <result property="november"    column="november"    />
        <result property="december"    column="december"    />
        <result property="nextYearJanuary"    column="next_year_january"    />
        <result property="recentThreeMonthsAvgConsumption"    column="recent_three_months_avg_consumption"    />
        <result property="recentSixMonthsAvgConsumption"    column="recent_six_months_avg_consumption"    />
        <result property="recentOneYearAvgConsumption"    column="recent_one_year_avg_consumption"    />
        <result property="arrearsStatus"    column="arrears_status"    />
    </resultMap>
</mapper>